JavaScript/jQuery List - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
↑ / ↓ | Moves focus to the previous/next item. |
Page Up / Page Down | Moves focus to the item located a screen above/below the current one. |
Home / End | Moves focus to the first/last item. |
Enter or Space | Selects the focused item. |
Shift + ↑ / ↓ | Shifts the focused item one item up/down. Active if the allowItemReordering property is set to true. |
Delete | Removes the focused item. Active if the allowItemDeleting property is set to true. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const list = $("#listContainer").dxList("instance");
- list.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- list.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout
- List - Item Deletion - User Interaction
- List Demos
- List API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React List - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
↑ / ↓ | Moves focus to the previous/next item. |
Page Up / Page Down | Moves focus to the item located a screen above/below the current one. |
Home / End | Moves focus to the first/last item. |
Enter or Space | Selects the focused item. |
Shift + ↑ / ↓ | Shifts the focused item one item up/down. Active if the allowItemReordering property is set to true. |
Delete | Removes the focused item. Active if the allowItemDeleting property is set to true. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
App.js
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { List } from 'devextreme-react/list';
- class App extends React.Component {
- constructor(props) {
- super(props);
- this.listRef = React.createRef();
- }
- render() {
- return (
- <List ref={this.listRef} />
- );
- }
- get list() {
- return this.listRef.current.instance;
- }
- componentDidMount() {
- this.list.registerKeyHandler('backspace', function(e) {
- // The argument "e" contains information on the event
- });
- this.list.registerKeyHandler('space', function(e) {
- // ...
- });
- }
- }
- export default App;
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- List - Item Deletion - User Interaction
- List Demos
- List API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.